#ifndef MANDELBROT_H
#define MANDELBROT_H

#include <SDL2/SDL.h>

#define SCREEN_WIDTH 640
#define SCREEN_HEIGHT 480
#define MAX_ITERATIONS 300
#define THREADS 4

typedef struct {
    double real;
    double imag;
} Complex;

typedef struct{
    SDL_Window *window;
    SDL_Renderer *renderer;
} App ;

typedef struct{
    double x_min;
    double x_max;
    double y_min;
    double y_max;
    double zoom;
} ViewInfo ;

typedef struct{
    int dragging;
    int start_x;
    int start_y;
    ViewInfo original_view;
} Mouse ;

void render(SDL_Renderer* renderer, ViewInfo view, int start_x, int end_x, int start_y, int end_y);


#endif
